Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
queue_waiter Struct Reference

## Data Fields
struct sync_waiter | w
union {
struct rb_queue * q
struct rb_szqueue * sq
} | as

## Detailed Description

Definition at line 872 of file thread_sync.c.

## Field Documentation

## ◆ as

union { ... } queue_waiter::as

## ◆ q

struct rb_queue* queue_waiter::q

Definition at line 875 of file thread_sync.c.

## ◆ sq

struct rb_szqueue* queue_waiter::sq

Definition at line 876 of file thread_sync.c.

## ◆ w

struct sync_waiter queue_waiter::w

Definition at line 873 of file thread_sync.c.

The documentation for this struct was generated from the following file:

- thread_sync.c